pycatia.hybrid_shape_interfaces.point

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-07-06 14:02:20.222384

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.hybrid_shape_interfaces.point.Point(com_object)

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
MecModInterfaces.HybridShape
Point

Represents the hybrid shape Point feature object.
Role: Declare hybrid shape Point root feature object. All interfaces for
different type of Point derives HybridShapePoint.

Use the CATIAHybridShapeFactory to create a HybridShapePoint
objects.

See also:
HybridShapeFactory
get_coordinates() tuple

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetCoordinates(CATSafeArrayVariant oCoordinates)

Gets cartesian coordinates of the Point.

Parameters:

oCoordinates
coordinates of the Point.

See also:
HybridShapeFactory
Return type:

tuple

set_coordinates(o_coordinates: tuple) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetCoordinates(CATSafeArrayVariant oCoordinates)

Sets cartesian coordinates of the point.
Note: SetCoordinates can only be used on CATIAHybridShapePointCoord
feature

Parameters:

iCoordinates
coordinates of the point.

See also:
HybridShapeFactory
Parameters:

o_coordinates (tuple) –

Return type:

None